export declare class ObservableMap<K, V> extends Map<K, V> {
    private listeners;
    set(key: K, value: V): any;
    get(key: K): V | undefined;
    addListener(listener: (value: any) => void): void;
    removeListener(listener: (value: any) => void): void;
}
